Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.server
Class HttpServletRequestWrapper

    java.lang.Object
      org.apache.cactus.server.AbstractHttpServletRequestWrapper
          org.apache.cactus.server.AbstractHttpServletRequestWrapper23
              org.apache.cactus.server.HttpServletRequestWrapper

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

public class HttpServletRequestWrapper
extends AbstractHttpServletRequestWrapper23

Provide implementation of `HttpServletRequestWrapper` for the Servlet 2.3 API specifications.

Version:
  $Id: HttpServletRequestWrapper.java 238993 2004-05-22 16:39:34Z vmassol $
See Also:
  `AbstractHttpServletRequestWrapper23`

Field Summary

Fields inherited from class org.apache.cactus.server.AbstractHttpServletRequestWrapper
`remoteHostName, remoteIPAddress, remoteUser, request, url`

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`HttpServletRequestWrapper(javax.servlet.http.HttpServletRequest theRequest, ServletURL theURL)`

Methods inherited from class org.apache.cactus.server.AbstractHttpServletRequestWrapper23
`getParameterMap, getRequestURL, setCharacterEncoding`

Methods inherited from class org.apache.cactus.server.AbstractHttpServletRequestWrapper
`getAttribute, getAttributeNames, getAuthType, getCharacterEncoding, getContentLength, getContentType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getInputStream, getIntHeader, getLocale, getLocales, getMethod, getOriginalRequest, getParameter, getParameterNames, getParameterValues, getPathInfo, getPathTranslated, getProtocol, getQueryString, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemoteUser, getRequestDispatcher, getRequestedSessionId, getRequestURI, getScheme, getServerName, getServerPort, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isSecure, isUserInRole, removeAttribute, setAttribute, setRemoteHostName, setRemoteIPAddress, setRemoteUser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpServletRequestWrapper

    public HttpServletRequestWrapper(javax.servlet.http.HttpServletRequest theRequest,
                                     ServletURL theURL)

See Also:
  `AbstractHttpServletRequestWrapper23.AbstractHttpServletRequestWrapper23(HttpServletRequest, ServletURL)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.